> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of templates

> Get a list of all templates created by a specific client.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="templates" type="string">
  Array of templates.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>

    <ResponseField name="templateKey" type="string">
      ID of the template.
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the template.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/template' \ 
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
            "data": {
  				   "action": "list",
  				   "clientKey": "YOUR_CLIENT_KEY"
  				  }
       }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	{
         "templates": [{
                  "createTime": "2023-12-01 12:18:55",
  				"changeTime": "2023-12-01 12:18:55",
                  "templateKey": "TEMPLATE_KEY", 
  				"name": "New template"
  		}],
         "code": "200",
         "message": "Templates found"
      } 
  ```
</ResponseExample>
